Subject: [Json] [Technical Errata Reported] RFC8259 (5853)

From: RFC Errata System <[email-masked]>
Date: Thu, 5 Sep 2019 07:19:46 -0700 (PDT)

The following errata report has been submitted for RFC8259,
"The JavaScript Object Notation (JSON) Data Interchange Format".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5853

--------------------------------------
Type: Technical
Reported by: Luca BRUNO <[email-masked]>

Section: 11

Original Text
-------------
Note:  No "charset" parameter is defined for this registration.
    Adding one really has no effect on compliant recipients.

Corrected Text
--------------
Note:  No "charset" parameter is defined for this registration.
    JSON text is encoded as described in RFC 8259, Section 8.1.

Notes
-----
Last sentence of last note of section 11 should be amended, as it introduces confusion by going against other explicit statements, like the followings:
 * RFC8259 sect. 8.1 defines that inner encoding is UTF-8
 * RFC8259 sect. 11 defines no formal (optional/required) parameters for this registered type
 * RFC6838 sect. 4.2.1 defines the common usage of a "charset" parameter as a "required" one (which isn't the case here)
 * RFC6838 sect. 4.2.1 defines that "charset" should not be used if the inner payload already transports charset information (e.g. mandatory UTF-8, which is the case here)
 * RFC6838 sect. 4.2.1 defines a "charset" parameter only for subtypes of the "text/*" hierarchy (which isn't the case here)

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8259 (draft-ietf-jsonbis-rfc7159bis-04)
--------------------------------------
Title               : The JavaScript Object Notation (JSON) Data Interchange Format
Publication Date    : December 2017
Author(s)           : T. Bray, Ed.
Category            : INTERNET STANDARD
Source              : Javascript Object Notation Update
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG